.c-archive-header .c-archive-header-text::before {
	background-image: url(../images/archive/company/header.svg);
}

.c-archive-header .c-archive-header-text .c-company-archive-header-title {
	line-height: 1.40625;
	color: #fff;
	font-weight: 600;
	font-size: 2rem;
	letter-spacing: 8%;
	position: relative;
	z-index: 2;
}

.rag-company-search {
	margin-block-end: 32px;
	padding-block: 16px;
	padding-inline: 24px;
	border-radius: 12px;
	background-color: #f5f6fa;
}

.rag-company-search .rag-company-search-header {
	margin-block-end: 16px;
}

.rag-company-search .rag-company-search-header .rag-company-search-title {
	padding-inline-start: 15px;
	color: #333;
	font-weight: 600;
	font-size: 0.875rem;
	letter-spacing: 2%;
	position: relative;
	z-index: 2;
}

.rag-company-search .rag-company-search-header .rag-company-search-title::before {
	content: '';
	position: absolute;
	top: 50%;
	left: 0;
	translate: 0 -50%;
	border-radius: 100px;
	width: 3px;
	height: calc(100% - 5px);
	background-color: #e5e5e5;
}

.rag-company-search .rag-company-search-content form {
	border: 1px solid #e5e5e5;
	border-radius: 12px;
	display: grid;
	grid-template-columns: 1fr 50px;
	overflow: clip;
}

.rag-company-search .rag-company-search-content form:hover {
	border-color: #06f;
}

.rag-company-search .rag-company-search-content form:focus-within {
	box-shadow: 0 0 3px 0 rgba(0, 97, 243, 0.7);
	outline: 2px solid #06f;
	outline-offset: -2px;
}

.rag-company-search .rag-company-search-content form:has(button:active) {
	box-shadow: none;
	outline: 0;
	border-color: #e5e5e5;
}

.rag-company-search .rag-company-search-content form:has(button:active) input[type='search'] {
	background-color: #f0f3ff;
}

.rag-company-search .rag-company-search-content form input[type='search'] {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	outline: 0;
	padding-block: 12px;
	padding-inline: 8px;
	border: 0;
	line-height: 1.5714285714;
	color: #1f3566;
	font-size: 0.875rem;
	letter-spacing: 2%;
}

.rag-company-search .rag-company-search-content form input[type='search']::-moz-placeholder {
	color: #b2b2b2;
}

.rag-company-search .rag-company-search-content form input[type='search']::placeholder {
	color: #b2b2b2;
}

.rag-company-search .rag-company-search-content form input[type='search']::-webkit-search-cancel-button {
	-webkit-appearance: none;
	appearance: none;
}

.rag-company-search .rag-company-search-content form button {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	padding: 0;
	border: 0;
	background-color: #06f;
	width: 50px;
	height: 100%;
	overflow: clip;
	cursor: pointer;
}

.rag-company-search .rag-company-search-content form button::before {
	content: '';
	display: block;
	width: 50px;
	height: 100%;
	-webkit-mask-image: url(../images/icons/common/loupe.svg);
	mask-image: url(../images/icons/common/loupe.svg);
	-webkit-mask-size: 16px;
	mask-size: 16px;
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat;
	-webkit-mask-position: center;
	mask-position: center;
	background-color: #fff;
}

.rag-company-search .rag-company-search-tags {
	margin-block-start: 8px;
	display: grid;
	align-items: start;
	grid-template-columns: auto 1fr;
	gap: 16px;
}

.rag-company-search .rag-company-search-tags dt {
	padding-block: 4px;
	color: #333;
	font-weight: 600;
	font-size: 0.75rem;
	letter-spacing: 2%;
}

.rag-company-search .rag-company-search-tags dd {
	display: flex;
	flex-wrap: wrap;
	gap: 6px;
}

.rag-company-search .rag-company-search-tags dd a {
	padding-block: 3px;
	padding-inline: 7px;
	border-radius: 4px;
	background-color: #fff;
	color: #1f3566;
	font-size: 0.75rem;
	letter-spacing: 2%;
	text-decoration: none;
}

.rag-company-search .rag-company-search-tags dd a .rag-company-search .rag-company-search-tags dd a:hover {
	background-color: #f5f6fa;
}

.rag-company-search .rag-company-search-tags dd a:active {
	background-color: #f0f3ff;
}

.rag-company-search .rag-company-search-tags dd a:focus-visible {
	outline: 2px solid #06f;
	outline-offset: -2px;
	background-color: #fff;
}

.rag-company-search .rag-company-search-tags dd a.is-tag-current {
	border: 1px solid #1156bd;
	background-color: #f0f3ff;
}
